Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share.logging
Class Log

    java.lang.Object
      oracle.ifs.share.logging.Log

Deprecated. use oracle.ifs.common.logging.IfsLogger

    public final class Log

extends java.lang.Object

The standard log file representation for the JWS application.

Method Summary
`static Log` | `get()` Deprecated. Returns an instance of Log for the desired module.
`static Log` | `get(java.lang.String moduleName)` Deprecated. Returns an instance of Log for the desired module.
`java.util.logging.Level` | `getLevel()` Deprecated. Get the logging level of this Logger.
`boolean` | `isLoggable(java.util.logging.Level level)` Deprecated. Check if a log request of the given level would actually be logged by this logger.
`void` | `log(java.util.logging.Level level, java.lang.String msg)` Deprecated. Log a message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1)` Deprecated. Log a message with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2)` Deprecated. Log a message with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Deprecated. Log a message with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Deprecated. Log a message with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5)` Deprecated. Log a message with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.Throwable thrown, java.lang.String msg)` Deprecated. Log a message with a throwable.
`void` | `log(java.util.logging.LogRecord record)` Deprecated. Overwrite base log method to not count this class as a caller when determining calling class and method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static Log get()

  Deprecated.
  Description copied from class: `Log`
  Returns an instance of Log for the desired module.

  Constructs a Log instance encapsulating the default Logger, setting the module name to be that of the class calling this method.

  Returns:
    the Log

### get

    public static Log get(java.lang.String moduleName)

  Deprecated.
  Description copied from class: `Log`
  Returns an instance of Log for the desired module.

  Constructs a Log instance encapsulating the default Logger, setting the module name to the specified name.

  Parameters:
    `moduleName` - name of the module using this Log instance
  Returns:
    the Log

### isLoggable

    public boolean isLoggable(java.util.logging.Level level)

  Deprecated.
  Description copied from class: `Log`
  Check if a log request of the given level would actually be logged by this logger.

  Parameters:
    `level` - a message logging level, may not be null
  Returns:
    true if the given message level is currently being logged.

### getLevel

    public java.util.logging.Level getLevel()

  Deprecated.
  Description copied from class: `Log`
  Get the logging level of this Logger.

  Returns:
    the logging level

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg)

  Deprecated.
  Description copied from class: `Log`
  Log a message.

  Parameters:
    `level` - the logging level
    `msg` - a String containing the message to log

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1)

  Deprecated.
  Description copied from class: `Log`
  Log a message with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - the logging level
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2)

  Deprecated.
  Description copied from class: `Log`
  Log a message with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - the logging level
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3)

  Deprecated.
  Description copied from class: `Log`
  Log a message with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - the logging level
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4)

  Deprecated.
  Description copied from class: `Log`
  Log a message with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - the logging level
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4,
                    java.lang.Object arg5)

  Deprecated.
  Description copied from class: `Log`
  Log a message with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - the logging level
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.
    `arg5` - fifth logging argument.

### log

    public void log(java.util.logging.Level level,
                    java.lang.Throwable thrown,
                    java.lang.String msg)

  Deprecated.
  Description copied from class: `Log`
  Log a message with a throwable.

  Parameters:
    `level` - the logging level
    `thrown` - a Throwable to log
    `msg` - a String containing the message to log

### log

    public void log(java.util.logging.LogRecord record)

  Deprecated.
  Description copied from class: `Log`
  Overwrite base log method to not count this class as a caller when determining calling class and method.

  Parameters:
    `record` - the LogRecord to log

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD